## javax.portlet.filter
Interface FilterConfig

    public interface FilterConfig

A filter configuration object used by a portlet container to pass information to a filter during initialization.

Since:
  2.0

Method Summary
`java.lang.String` `getFilterName()` Returns the filter-name of this filter as defined in the portlet deployment descriptor.
`java.lang.String` `getInitParameter(java.lang.String name)` Returns a String containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`java.util.Enumeration<java.lang.String>` `getInitParameterNames()` Returns the names of the filter's initialization parameters as an Enumeration of String objects, or an empty Enumeration if the filter has no initialization parameters.
`PortletContext` `getPortletContext()` Returns a reference to the `PortletContext` in which the caller is executing.

Method Detail

### getFilterName

    java.lang.String getFilterName()

  Returns the filter-name of this filter as defined in the portlet deployment descriptor.

  Returns:
    the filter name

### getPortletContext

    PortletContext getPortletContext()

  Returns a reference to the `PortletContext` in which the caller is executing.

  Returns:
    the portlet context

### getInitParameter

    java.lang.String getInitParameter(java.lang.String name)

  Returns a String containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Initialization parameters are defined in the portlet deployment descriptor.

  Parameters:
    `name` - the name of the initialization parameter to return
  Returns:
    initialization parameter, or `null` if the parameter does not exist.

### getInitParameterNames

    java.util.Enumeration<java.lang.String> getInitParameterNames()

  Returns the names of the filter's initialization parameters as an Enumeration of String objects, or an empty Enumeration if the filter has no initialization parameters.

  Initialization parameters are defined in the portlet deployment descriptor.

  Returns:
    the names of the filter's initialization parameters, or an empty Enumeration if the filter has no initialization parameters.

Copyright © 2010. All Rights Reserved.